package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.ZipkinAnnotations;
import com.hwrj.cloud.admin.model.ZipkinAnnotationsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ZipkinAnnotationsMapper {
    long countByExample(ZipkinAnnotationsExample example);

    int deleteByExample(ZipkinAnnotationsExample example);

    int insert(ZipkinAnnotations record);

    int insertSelective(ZipkinAnnotations record);

    List<ZipkinAnnotations> selectByExampleWithBLOBs(ZipkinAnnotationsExample example);

    List<ZipkinAnnotations> selectByExample(ZipkinAnnotationsExample example);

    int updateByExampleSelective(@Param("record") ZipkinAnnotations record, @Param("example") ZipkinAnnotationsExample example);

    int updateByExampleWithBLOBs(@Param("record") ZipkinAnnotations record, @Param("example") ZipkinAnnotationsExample example);

    int updateByExample(@Param("record") ZipkinAnnotations record, @Param("example") ZipkinAnnotationsExample example);
}